
Packaging - Bug #3929

Can't resolve ruby-rdoc on Ubuntu 12.04 in nightly

12/24/2013 08:44 PM - Dominic Cleal

Status: Resolved   
Assignee: Greg Sutcliffe   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Only affects nightly, not 1.3 component:

root@foreman-precise:~# apt-get install foreman-installer ruby-kafo

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

The following packages have unmet dependencies:

 ruby-kafo : Depends: ruby-rdoc (>= 3.12.0) but it is not installable

E: Unable to correct problems, you have held broken packages.

root@foreman-precise:~# apt-cache show ruby-rdoc

N: Can't select versions from package 'ruby-rdoc' as it is purely virtual

N: No packages found

History

#1 - 12/24/2013 11:36 PM - Greg Sutcliffe

- Status changed from Assigned to Need more information

I can't replicate this:

root@foremanprecise:~# tail -n1 /etc/apt/sources.list

deb http://deb.theforeman.org/ precise nightly

 
root@foremanprecise:~# apt-cache policy ruby-kafo

ruby-kafo:

  Installed: (none)

  Candidate: 0.3.4-1

  Version table:

     0.3.4-1 0

        500 http://deb.theforeman.org/ precise/nightly amd64 Packages

#2 - 12/25/2013 10:04 PM - Dominic Cleal

- Status changed from Need more information to Resolved

ruby-rdoc's been copied from the 1.3 component into nightly, it's now installable.
